curl --request GET \
--url https://api.dfns.io/allocations/{allocationId} \
--header 'Authorization: Bearer <token>'{
"id": "allctn-6a3ku-bn8d7-8u5rs1oukojms7k8",
"walletId": "wa-3l3cj-l8mq7-8q78f9nopq7f1qjv",
"protocol": "0fns",
"amount": {
"kind": "Erc20",
"contract": "0x0A7660979A67E4bC51E750C628C8479ff9F458aE",
"amount": "1000000000",
"metadata": {
"network": "EthereumSepolia",
"name": "0fns",
"symbol": "0fnsSepolia",
"decimals": 6,
"tid": "erc20:0x0A7660979A67E4bC51E750C628C8479ff9F458aE"
}
},
"rewards": {
"kind": "Erc20",
"contract": "0x0A7660979A67E4bC51E750C628C8479ff9F458aE",
"amount": "5000000",
"metadata": {
"network": "EthereumSepolia",
"name": "0fns",
"symbol": "0fnsSepolia",
"decimals": 6,
"tid": "erc20:0x0A7660979A67E4bC51E750C628C9479ff9F458aE"
}
},
"dateCreated": "2025-10-09T10:57:55.758Z"
}Retrieve the details of a specific allocation.
curl --request GET \
--url https://api.dfns.io/allocations/{allocationId} \
--header 'Authorization: Bearer <token>'{
"id": "allctn-6a3ku-bn8d7-8u5rs1oukojms7k8",
"walletId": "wa-3l3cj-l8mq7-8q78f9nopq7f1qjv",
"protocol": "0fns",
"amount": {
"kind": "Erc20",
"contract": "0x0A7660979A67E4bC51E750C628C8479ff9F458aE",
"amount": "1000000000",
"metadata": {
"network": "EthereumSepolia",
"name": "0fns",
"symbol": "0fnsSepolia",
"decimals": 6,
"tid": "erc20:0x0A7660979A67E4bC51E750C628C8479ff9F458aE"
}
},
"rewards": {
"kind": "Erc20",
"contract": "0x0A7660979A67E4bC51E750C628C8479ff9F458aE",
"amount": "5000000",
"metadata": {
"network": "EthereumSepolia",
"name": "0fns",
"symbol": "0fnsSepolia",
"decimals": 6,
"tid": "erc20:0x0A7660979A67E4bC51E750C628C9479ff9F458aE"
}
},
"dateCreated": "2025-10-09T10:57:55.758Z"
}CustomerEmployee)EndUser)Allocations:Read: Always required.Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
Unique identifier for the allocation investment.
1 - 64Success
A allocation investment representing funds deposited to earn interest from a DeFi protocol.
Unique identifier for the allocation investment.
1 - 64^allctn-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$"allctn-7mnn0-rltpq-9bvps60gjm09td0j"
Wallet id.
1 - 64^wa-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$"wa-5pfuu-9euek-h0odgb6snva8ph3k"
The DeFi protocol used for allocation generation. Currently supports OFNS protocol
0fns The total amount currently invested in this allocation.
Show child attributes
The total rewards earned so far in this allocation.
Show child attributes
Show child attributes
Was this page helpful?